Name:          rtorrent
License:       GPLv2+ with exceptions
Version:       0.9.8
Release:    1%{?dist}
Summary:       BitTorrent client based on libtorrent 
URL:           https://github.com/rakshasa/rtorrent
Source0:       %{url}/releases/download/v%{version}/%{name}-%{version}.tar.gz
Source1:       rtorrent.1

Patch0:        rtorrent-0.9.3-makefile-am.patch
Patch1:        rtorrent-0.9.3-makefile-in.patch
Patch2:        rtorrent-0.9.8-src-utils-lockfile.cc.patch

BuildRequires: make
BuildRequires: curl-devel
BuildRequires: gcc-c++
BuildRequires: libstdc++-devel
BuildRequires: libsigc++20-devel
BuildRequires: libtorrent-devel >= 0.13.8
BuildRequires: ncurses-devel
BuildRequires: pkgconfig
BuildRequires: xmlrpc-c-devel

%description
A BitTorrent client using libtorrent, which on high-bandwidth connections is 
able to seed at 3 times the speed of the official client. Using
ncurses its ideal for use with screen or dtach. It supports 
saving of sessions and allows the user to add and remove torrents and scanning
of directories for torrent files to seed and/or download.

%prep
%autosetup -p0
for file in AUTHORS README doc/rtorrent.rc COPYING
do
    chmod -x "$file"
done

%build
%configure --with-xmlrpc-c --enable-ipv6
%make_build

%install
%make_install
install -Dpm 0644 %SOURCE1 %{buildroot}/%{_mandir}/man1/rtorrent.1

%files
%doc AUTHORS README doc/rtorrent.rc
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/rtorrent.1.gz

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.8-1
- initial build
